Bug 97388 - lm_sensors needs lm85 driver
Summary: lm_sensors needs lm85 driver
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lm_sensors (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-14 04:12 UTC by Daniel Senie
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 12:12:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Senie 2003-06-14 04:12:16 UTC
Description of problem:

lm_sensors site CVS now lists an lm85 driver. This chip appears to be key to 
reading sensors on most Intel server motherboards. It would be REALLY useful 
if this were merged in to a maintenance release sometime soon.

Comment 1 Phil Knirsch 2003-06-27 12:29:14 UTC
As soon as the stable release contains the driver as well it will get included
in our lm_sensors package, too.

Our general rule is usually not to use any CVS snapshots (only in very rare
cases where stable releases haven't been done for a long time and the CVS
version is know to be a lot better than the stable on).

Read ya, Phil

Comment 2 Daniel Senie 2003-06-27 15:13:31 UTC
Agree, it's waiting for lm_sensors 2.80. When that version is released, I will 
be happy to provide beta test for RPMs you generate.

Comment 3 Phil Knirsch 2003-06-27 15:17:53 UTC
OK, thanks!

I'll update this bug as soon as a lm_sensors-2.8.0 package gets available via
rawhide.

Read ya, Phil

Comment 4 Daniel Senie 2003-07-15 05:18:55 UTC
lm_sensors 2.80 was just released. I have tested it via tarball on an RH9 
system with Intel motherboard, and am actually able to read fan speeds, 
voltages and temperatures! Support for the LM85 seems to work.

Note that a newer i2c version 2.80 is required in concert with the lm_sensors 
2.80.

If/when you have appropriate RPMs, my offer to test stands. It'd be REALLY 
helpful if those RPMs were loadable on RH9 systems, as that's what I have for 
testing at present.

Comment 5 Phil Knirsch 2003-07-31 12:12:27 UTC
OK, has been updated, at least in userland. Hopefully the kernel drivers will
make it into the kernel real soon now, too, kernel maintainer has been notified.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.